Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Arfrever Frehtes Taifersar Arahesis (arfrever)" <arfrever@g.o>
Subject: gentoo-x86 commit in net-misc/cadaver: metadata.xml ChangeLog cadaver-0.23.2.ebuild
Date: Sun, 22 Mar 2009 17:31:00 +0000
arfrever    09/03/22 17:31:00

  Modified:             metadata.xml ChangeLog cadaver-0.23.2.ebuild
  Log:
  Remove unused USE flags. Remove bundled libraries to ensure that they aren't used. Fix building with Neon 0.29.
  (Portage version: 13142-svn/cvs/Linux x86_64)

Revision  Changes    Path
1.5                  net-misc/cadaver/metadata.xml

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/cadaver/metadata.xml?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/cadaver/metadata.xml?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/cadaver/metadata.xml?r1=1.4&r2=1.5

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-misc/cadaver/metadata.xml,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- metadata.xml	30 Aug 2008 07:02:32 -0000	1.4
+++ metadata.xml	22 Mar 2009 17:31:00 -0000	1.5
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<herd>no-herd</herd>
-<maintainer>
-<email>maintainer-needed@g.o</email>
-</maintainer>
+  <maintainer>
+    <email>arfrever@g.o</email>
+    <name>Arfrever Frehtes Taifersar Arahesis</name>
+  </maintainer>
 </pkgmetadata>



1.32                 net-misc/cadaver/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/cadaver/ChangeLog?rev=1.32&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/cadaver/ChangeLog?rev=1.32&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/cadaver/ChangeLog?r1=1.31&r2=1.32

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-misc/cadaver/ChangeLog,v
retrieving revision 1.31
retrieving revision 1.32
diff -u -r1.31 -r1.32
--- ChangeLog	27 Sep 2008 13:43:02 -0000	1.31
+++ ChangeLog	22 Mar 2009 17:31:00 -0000	1.32
@@ -1,6 +1,11 @@
 # ChangeLog for net-misc/cadaver
-# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/cadaver/ChangeLog,v 1.31 2008/09/27 13:43:02 betelgeuse Exp $
+# Copyright 2002-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/cadaver/ChangeLog,v 1.32 2009/03/22 17:31:00 arfrever Exp $
+
+  22 Mar 2009; Arfrever Frehtes Taifersar Arahesis <arfrever@g.o>
+  metadata.xml, cadaver-0.23.2.ebuild:
+  Remove unused USE flags. Remove bundled libraries to ensure that they
+  aren't used. Fix building with Neon 0.29.
 
   27 Sep 2008; Petteri R├Ąty <betelgeuse@g.o> -cadaver-0.22.5.ebuild,
   -cadaver-0.22.5-r1.ebuild:



1.7                  net-misc/cadaver/cadaver-0.23.2.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/cadaver/cadaver-0.23.2.ebuild?rev=1.7&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/cadaver/cadaver-0.23.2.ebuild?rev=1.7&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/cadaver/cadaver-0.23.2.ebuild?r1=1.6&r2=1.7

Index: cadaver-0.23.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-misc/cadaver/cadaver-0.23.2.ebuild,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- cadaver-0.23.2.ebuild	7 Sep 2008 13:46:15 -0000	1.6
+++ cadaver-0.23.2.ebuild	22 Mar 2009 17:31:00 -0000	1.7
@@ -1,8 +1,8 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/cadaver/cadaver-0.23.2.ebuild,v 1.6 2008/09/07 13:46:15 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/cadaver/cadaver-0.23.2.ebuild,v 1.7 2009/03/22 17:31:00 arfrever Exp $
 
-inherit eutils
+inherit autotools eutils
 
 DESCRIPTION="Command-line WebDAV client."
 HOMEPAGE="http://www.webdav.org/cadaver"
@@ -11,41 +11,32 @@
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~ppc ppc64 ~sparc x86"
-IUSE="gnutls nls ssl"
+IUSE="nls"
 
 DEPEND=">=net-misc/neon-0.27.0"
 RDEPEND="${DEPEND}"
 
-pkg_setup() {
-	if use ssl && ! built_with_use net-misc/neon ssl ; then
-		ewarn "SSL support in cadaver requires SSL support in net-misc/neon."
-		ewarn "Please rebuild net-misc/neon with the ssl USE flag if you want to use"
-		ewarn "cadaver with SSL support."
-		die "SSL support in cadaver requires SSL support in net-misc/neon"
-	fi
-
-	if use gnutls && ! built_with_use net-misc/neon gnutls ; then
-		ewarn "SSL support in cadaver requires gnutls support in net-misc/neon."
-		ewarn "Please rebuild net-misc/neon with the gnutls USE flag if you want to use"
-		ewarn "cadaver with gnutls support."
-		die "gnutls support in cadaver requires gnutls support in net-misc/neon"
-	fi
-}
-
 src_unpack() {
 	unpack ${A}
 	cd "${S}"
 
 	epatch "${FILESDIR}/${P}-disable-nls.patch"
+
+	rm -fr lib/{expat,intl,neon}
+	sed -e "/NE_REQUIRE_VERSIONS/s/28/& 29/" \
+		-e "s:lib/neon/Makefile lib/intl/Makefile ::" -i configure.ac
+	sed -e "s/^\(SUBDIRS.*=\).*/\1/" -i Makefile.in
+	AT_M4DIR="m4 m4/neon" eautoreconf
 }
 
 src_compile() {
-	myconf="--with-libs=/usr $(use_enable nls)"
-	econf $myconf || die "econf failed"
-	emake || die
+	econf \
+		$(use_enable nls) \
+		--with-libs=/usr
+	emake || die "emake failed"
 }
 
 src_install () {
-	einstall || die
+	emake DESTDIR="${D}" install || die "emake install failed"
 	dodoc BUGS ChangeLog FAQ NEWS README THANKS TODO
 }





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in app-crypt/gnupg: gnupg-2.0.10.ebuild ChangeLog
Next by thread:
gentoo-x86 commit in x11-libs/libgksu: ChangeLog libgksu-2.0.9.ebuild
Previous by date:
gentoo-x86 commit in x11-apps/xstdcmap: xstdcmap-1.0.1.ebuild ChangeLog
Next by date:
gentoo-x86 commit in app-portage/eix: ChangeLog eix-0.15.4.ebuild


Updated Feb 17, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.